var currentPage = false;
function changePage(newPage)
{
	if(currentPage)
	{
		$("#" + currentPage).hide();
	}
	currentPage = newPage;
	$("#" + currentPage).show();
}
var towary = new Array();
towary.push([3, "Bilet 20 minutowy - Normalny", 1]);
towary.push([4, "Bilet 20 minutowy - Ulgowy", 0.5]);
towary.push([5, "Bilet 60 minutowy - Normalny", 2]);
towary.push([6, "Bilet 60 minutowy - Ulgowy", 1]);
towary.push([7, "Bilet 1 dniowy - Normalny", 4]);
towary.push([8, "Bilet 1 dniowy - Ulgowy", 2]);
towary.push([9, "Bilet 7 dniowy - Normalny", 8]);
towary.push([10, "Bilet 7 dniowy - Ulgowy", 4]);

towary.push([11, "Doładuj kartę 30 dni - Normalnie", 60]);
towary.push([12, "Doładuj kartę 30 dni - Ulgowo", 30]);
towary.push([13, "Doładuj kartę 90 dni - Normalnie", 120]);
towary.push([14, "Doładuj kartę 90 dni - Ulgowo", 60]);

function getTowarName(id)
{
	var arrayLength = towary.length;
	for (var i = 0; i < arrayLength; i++)
	{
		if(towary[i][0] == id)
		{
			return towary[i][1];
		}
	}
}

function getTowarPrice(id)
{
	var arrayLength = towary.length;
	for (var i = 0; i < arrayLength; i++)
	{
		if(towary[i][0] == id)
		{
			return towary[i][2];
		}
	}
}

function formatMoney(kasa)
{
	return kasa.toFixed(2);
}

// [IDtowar, ilosc]
var zamowienie = new Array();
// [ilosc]
var mojeBilety = new Array();
for(var i = 3; i < 11; i++)
{
	mojeBilety[i] = 0;
}
// [IDtowar, data]
var mojeAktywneBilety = new Array();

function dodajZamowienie(id, ilosc, custom)
{
	zamowienie.push([id, ilosc, custom]);
}
var doUsuniecia = -1;
function usunZamowienie()
{
	zamowienie.splice(doUsuniecia, 1);
	main();
}

function realizujZamowienie()
{
	while(zamowienie.length > 0)
	{
		var zamowionyTowar = zamowienie.pop();
		mojeBilety[zamowionyTowar[0]] += zamowionyTowar[1];
	}
}

function aktualizujCzas()
{
	if(currentPage == "skasujBilet" || currentPage == "wyswietlBilet")
	{
		for(var i = 0; i < mojeAktywneBilety.length; i++)
		{
			$('.aktywnyBilet' + i).html(pokazCzas(mojeAktywneBilety[i][1] - new Date().getTime()));
		}
	}
}

$( document ).ready(function()
{
	$(".pageContent").hide();
	main();
	setInterval(aktualizujCzas, 1000);
});



function zaplac()
{
	var suma = 0;
	for(var i = 0; i < zamowienie.length; i++)
	{
		suma += getTowarPrice(zamowienie[i][0]) * zamowienie[i][1];
	}
	$('#zaplacPrzezBank_kwota').html(formatMoney(suma) + ' zł');
	
	changePage('zaplacPrzezBank');
}

function stronaBanku()
{
	changePage('stronaBanku');
}

function oplaconoPrzezBank()
{
	changePage('oplaconoPrzezBank');
	realizujZamowienie();
}
