

function main()
{
	// aktualizacja listy
	if(zamowienie.length > 0)
	{
		$('#mainZamowienieLista').show();
		$('#zamowienieTable tbody').empty();
		var suma = 0;
		for(var i = 0; i < zamowienie.length; i++)
		{
			var customText = "";
			if(zamowienie[i][2] != "")
			{
				customText = " - numer karty: " + zamowienie[i][2];
			}
			suma += getTowarPrice(zamowienie[i][0]) * zamowienie[i][1];
			$('#zamowienieTable tbody').append('<tr>' +
			'<td>' + getTowarName(zamowienie[i][0]) + customText +'</td>' +
			'<td>'+ zamowienie[i][1] + '</td>' +
			'<td>' + formatMoney(getTowarPrice(zamowienie[i][0]) * zamowienie[i][1]) + ' zł</td>' + 
			'<td>' +
				'<a href="#popupRemove" data-rel="popup" data-position-to="window" data-transition="pop" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-btn-icon-left ui-icon-delete" onclick="doUsuniecia = ' + i + ';">USUŃ</a>' +
			'</td>' + 
			'</tr>');
		}
		$('#zamowienieTable tbody').append('<tr>' +
			'<td></td>' +
			'<td style="font-weight:bold">SUMA:</td>' +
			'<td style="font-weight:bold">'+ formatMoney(suma) + ' zł</td>' + 
			'<td><button class="ui-btn ui-corner-all ui-btn-b ui-shadow ui-btn-icon-left ui-icon-check" onclick="zaplac();">ZAPŁAĆ</button></td>' + 
			'</tr>');
	}
	else
	{
		$('#mainZamowienieLista').hide();
	}
	changePage("main");
}

var doSkasowania = -1;
var doSkasowaniaOkres = 0;
function skasujWybranyBilet()
{
	mojeBilety[doSkasowania] = mojeBilety[doSkasowania] - 1;
	mojeAktywneBilety.push([doSkasowania, new Date().getTime()+doSkasowaniaOkres])
	mainSkasujBilet();
}

function pokazCzas(czas)
{
	czas = Math.floor(czas / 1000);
	var ret = "";
	if(czas > 86400)
	{
		ret += Math.floor(czas / 86400) + " dni, ";
		czas -= Math.floor(czas / 86400) * 86400;
	}
	if(czas > 3600)
	{
		ret += Math.floor(czas / 3600) + " godzin, ";
		czas -= Math.floor(czas / 3600) * 3600;
	}
	if(czas > 60)
	{
		ret += Math.floor(czas / 60) + " minut, ";
		czas -= Math.floor(czas / 60) * 60;
	}
	ret += czas + " sekund";
	return ret;
}

function wyswietlBilet(id)
{
	$('#wyswietlBilet').empty();
	var text = '<div class="buyTopInfo">TYP: <span style="color:#FF4444">' + getTowarName(mojeAktywneBilety[id][0]) + '</span></div>';
	text += '<br /><div class="buyTopInfo">WAŻNY DO: <span class="aktywnyBilet' + id + '">' + pokazCzas(mojeAktywneBilety[id][1] - new Date().getTime()) + '</span></div>';
	var suma = 0;
	var kod = '';
	var color = true;
	while(suma < 90)
	{
		var wartosc = Math.floor((Math.random() * 4)) + 1;
		suma += Math.min(wartosc, 90 - suma);
		kod += '<div style="width:' + wartosc + '%;height:200px;float:left;background-color:';
		if(color)
		{
			kod += 'black';
			color = false;
		}
		else
		{
			kod += 'white';
			color = true;
		}
		kod += '"></div>';
	}
	text += '<div style="height:220px;width:100%"><div style="margin-left:auto;margin-right:auto;height:200px;width:95%">' + kod + '</div><div style="margin-left:auto;margin-right:auto;height:10px;width:95%;background-color:white"></div><div style="margin-left:auto;margin-right:auto;height:10px;width:95%;background-color:black"></div></div>';

	text += '<br /><a class="ui-btn ui-corner-all ui-icon-arrow-l ui-btn-icon-left ui-shadow-icon ui-btn-c" onclick="mainSkasujBilet();">COFNIJ</a></div>';
	$('#wyswietlBilet').html(text);
	changePage("wyswietlBilet");
}

function mainSkasujBilet()
{
	$('#skasujAktywnyBiletTable tbody').empty();
	for(var i = 0; i < mojeAktywneBilety.length; i++)
	{
		$('#skasujAktywnyBiletTable tbody').append('<tr>' +
			'<td>' + getTowarName(mojeAktywneBilety[i][0]) + '</td>' +
			'<td class="aktywnyBilet' + i + '">'+ pokazCzas(mojeAktywneBilety[i][1] - new Date().getTime()) + '</td>' +
			'<td><button class="ui-btn ui-corner-all ui-btn-b ui-shadow ui-btn-icon-left ui-icon-search" onclick="wyswietlBilet(' + i + ');">WYŚWIETL</button></td>' +
			'</tr>');
	}
	if(mojeAktywneBilety.length == 0)
	{
			$('#skasujAktywnyBiletTable tbody').append('<tr>' +
				'<td>NIE POSIADASZ ANI JEDNEGO SKASOWANEGO BILETU</td>' +
				'<td></td>' +
				'</tr>');
	}

	$('#skasujBiletTable tbody').empty();
	var jestCos = false;
	for(var i = 3; i < 11; i++)
	{
		if(mojeBilety[i] > 0)
		{
			jestCos = true;
			var text = '<tr>' +
				'<td>' + getTowarName(i) + '</td>' +
				'<td>'+ mojeBilety[i] + '</td>' +
				'<td>' +
				'<a href="#popupSkasuj" data-rel="popup" data-position-to="window" data-transition="pop" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-btn-icon-right ui-icon-tag" onclick="doSkasowania = ' + i + ';doSkasowaniaOkres=';
				if(i == 3 || i == 4)
				{
					text += "1200000";
				}
				else if(i == 5 || i == 6)
				{
					text += "3600000";
				}
				else if(i == 7 || i == 8)
				{
					text += "86400000";
				}
				else if(i == 9 || i == 10)
				{
					text += "604800000";
				}
			text += ';">UŻYJ</a>' +
				'</td>' +
					'</tr>';
			$('#skasujBiletTable tbody').append(text);
		}
	}
	if(!jestCos)
	{
			$('#skasujBiletTable tbody').append('<tr>' +
				'<td>NIE POSIADASZ ANI JEDNEGO BILETU</td>' +
				'<td></td>' +
				'<td></td>' +
				'</tr>');
	}
	changePage("skasujBilet");
}

function mainKupBilet()
{
	changePage("kupBilet");
}

function mainDoladujKarteMiejska()
{
	changePage("doladujKarteMiejska");
}

function mainRozkladJazdy()
{
	changePage("rozkladJazdy");
}
var przedPomoca = "";
function pomoc()
{
	przedPomoca = currentPage;
	changePage("pomoc");
}

function cofnijPomoc()
{
	changePage(przedPomoca);
}